%define upstream_name    String-Wildcard-Bash
%define upstream_version 0.045

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Bash wildcard string routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Bash wildcard string routines

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.45.0-2.mga10
+ Revision: 2215797
- Mageia 10 Mass Rebuild

* Thu Oct 27 2022 tv <tv> 0.45.0-1.mga9
+ Revision: 1899638
- update to 0.045

* Sat Aug 13 2022 tv <tv> 0.44.0-1.mga9
+ Revision: 1877360
- update to 0.044

* Mon Mar 21 2022 umeabot <umeabot> 0.43.0-3.mga9
+ Revision: 1811907
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.43.0-2.mga8
+ Revision: 1530513
- Mageia 8 Mass Rebuild

* Sat Aug 31 2019 tv <tv> 0.43.0-1.mga8
+ Revision: 1435844
- BR perl(Test::Exception)
+ guillomovitch <guillomovitch>
- new version 0.43

* Fri Jul 26 2019 tv <tv> 0.40.0-1.mga8
+ Revision: 1424271
- update to 0.040

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-4.mga7
+ Revision: 1271242
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1033463
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 970030
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 884811
- update to 0.03

* Sun Jun 28 2015 sander85 <sander85> 0.20.0-1.mga6
+ Revision: 847072
- update to 0.02

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 750332
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 686260
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 guillomovitch <guillomovitch> 0.10.0-1.mga5
+ Revision: 658253
- imported package perl-String-Wildcard-Bash


* Wed Jul 30 2014 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
